System.Runtime.Serialization 4.0.0.0 System.Object System.Xml.IXmlDictionary

Session objects (this class together with ) enable dynamic string atomization that can span an entire conversation. These session objects manage dynamic dictionaries of instances. For more information about dynamic dictionaries see .

Due to asynchronous processing, it is possible for messages that arrive synchronously to be processed in a different order than they order in which they were sent. String atomization that spans messages must ensure the messages are processed in the original order, or the atomized strings must be conveyed using a different mechanism.

To use them you create a session object and pass it to the constructor or initializer for a binary XML reader or writer.

To reuse a dynamic dictionary simply pass the same session object to all subsequent readers and/or writers.

Enables optimized strings to be managed in a dynamic way.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Xml.XmlDictionaryString `` `` To be added.

  Creates an from the input parameters and adds it to an internal collection.

  The newly created that is added to an internal collection.

  The key value. The value.
- Method
  4.0.0.0
  System.Void To be added.

  Clears the internal collection of all contents.

- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.